IF = {
    limit = {
        NOT = {
            is_alive = yes
            has_character_flag = {{model.enabled_flag}}
        }
    }
    {{model.cleanup()}}
    break = yes
}
{%- for flag in model.control_flags %}
if = { limit = {had_character_flag={ flag={{flag}} days=110}}
    clr_character_flag = {{flag}}
    }
{%- endfor %}
character_event ={ id={{model.start.id}}}